#include "PSCRIPT.CH"
#INCLUDE "dcps.CH"
#INCLUDE "dcdialog.CH"

*************
Function Main()
*************

MyESP_01()

Return (NIL)

*

*****************
Function MyESP_01()    && MyExpressStylePrint
*****************

Local nDevice := 3           && direct print/output to pdf file
Local cFile   := 'test.pdf'

FErase( cFile )

IF ! ( PSInit() == PSE_NOERROR )
   DC_WinAlert("PageScript 32 DLL not loaded/initialized/Unknown error")
   QUIT
ENDIF

PSSetDecimalSep(".")
PSSetDevice(nDevice)
PSSetFileName( cFile )

ExpressStylePrint( nDevice )

IF nDevice == DEV_PDFFILE
   If File( cFile )
      DCMSGBOX ( "Document saved in file: " + cFile + '.' )
   Else
      DCMSGBOX ( "Document NOT saved in file: " + cFile + '!' )
   EndIf
ENDIF

RETURN nil

*

**************************
FUNCTION ExpressStylePrint(nDevice)
**************************

Local i := 0

DCPS BEGINDOC

FOR i := 1 TO 10
    @ i,1 DCPS SAY 'This is a line of Text - Line ' + Alltrim(Str(i))
NEXT

PSSetFileName( "" )   && I don't want AdobeReader's Preview

DCPS ENDDOC

RETURN nil

*

// EOF